Version 3.4.1

Change-Id: I8ce7d22e377d7d96edbea3f3e36c1063abb35523
Reviewed-on: https://dart-review.googlesource.com/c/sdk/+/367340
Commit-Queue: Kevin Chisholm <kevinjchisholm@google.com>
Reviewed-by: Alexander Thomas <athom@google.com>
diff --git a/CHANGELOG.md b/CHANGELOG.md
index a30d6d8..42c057d 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -1,16 +1,17 @@
-## 3.4.1
+## 3.4.1 - 2024-05-22
 
-This is a patch release that
+This is a patch release that:
 
-- Fixes a bug in CFE which an manifest in compilation errors of flutter web app
-  when compiled with dart2wasm.
+- Fixes a bug in the CFE which could manifest as compilation errors of Flutter
+  web apps when compiled with dart2wasm (issue [#55714]).
 
 - Fixes a bug in the pub client, such that `dart run` will not interfere with
-  Flutter l10n (at least for most cases). (build_runner issue [#3705])
+  Flutter l10n (at least for most cases) (issue [#55758]).
 
-[#3705]: https://github.com/dart-lang/build/issues/3705
+[#55714]: https://github.com/dart-lang/sdk/issues/55714
+[#55758]: https://github.com/dart-lang/sdk/issues/55758
 
-## 3.4.0
+## 3.4.0 - 2024-05-14
 
 ### Language
 
diff --git a/tools/VERSION b/tools/VERSION
index 72722d7..85fc023 100644
--- a/tools/VERSION
+++ b/tools/VERSION
@@ -26,6 +26,6 @@
 CHANNEL stable
 MAJOR 3
 MINOR 4
-PATCH 0
+PATCH 1
 PRERELEASE 0
 PRERELEASE_PATCH 0